# TODO:
# wayland-scanner from wayland project
#
%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		kwayland-server

Summary:	Qt-style Client and Server library wrapper for the Wayland libraries
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	28a8070bc363716be13ecb8721addad7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kwindowsystem-devel >= 5.82.0
BuildRequires:	kf5-plasma-wayland-protocols-devel >= 1.3.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	wayland-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Qt-style Client and Server library wrapper for the Wayland libraries.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%{_datadir}/qlogging-categories5/kwaylandserver.categories
%ghost %{_libdir}/libKWaylandServer.so.5
%attr(755,root,root) %{_libdir}/libKWaylandServer.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/kwaylandserver_version.h
%dir %{_includedir}/KWaylandServer
%{_includedir}/KWaylandServer/*.h
%dir %{_libdir}/cmake/KWaylandServer
%{_libdir}/cmake/KWaylandServer/KWaylandServerConfig.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerConfigVersion.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerTargets-pld.cmake
%{_libdir}/cmake/KWaylandServer/KWaylandServerTargets.cmake
%{_libdir}/libKWaylandServer.so
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kwayland-server.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8c8c0d4
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d7ab23f
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3a57587
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cdd673c
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a9102e2
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 303dd8d
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7d723ec
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 76d453e
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d9587d8
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2883a01
- update to 5.21.2

* Fri Aug 21 2020 Łukasz Maśko <lmasko@pld-linux.org> c660c20
- Initial version of the package.

